Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026356
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2014-04-24 10:212014-10-01 16:31
ReporterjecharriView Statuspublic 
Assigned Toguillermogil 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision435ecd823209
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browserGoogle Chrome
ModulesCore
Regression levelPackaging and release
Regression date2014-02-26
Regression introduced in releasemain
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/20eb3426d990 [^]
Triggers an Emergency PackNo
Summary

0026356: If you have a window with one tab without a parent key, the tab data is not displayed

DescriptionIf you have a window with one tab without a parent key, the tab data is not displayed
Steps To Reproduce-Create a window header and subtab without any relation. Only a where clause with a condition related to the header.

-Verify that information is not displayed when you choose the header

It seems that the criteria that Openbravo is creating is wrong. If you go to file modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js

and you remove lines criteria.criteria.push({
          fieldName: 'id',
          operator: 'equals',
          value: '-1'
        });
it starts working

Contact me and I will provide a development
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0025574 closeddbaz Upgrade SmartClient 10.0d 

-  Notes
(0066599)
hgbot (developer)
2014-04-25 09:57

Repository: erp/devel/pi
Changeset: 435ecd82320911d5349beabc75751352250c26ad
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Fri Apr 25 09:55:56 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/435ecd82320911d5349beabc75751352250c26ad [^]

Fixed issue 26356:window without a parent key, the tab data is not displayed

False criterion is now removed if the child tab has no parent key.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0066633)
shankarb (developer)
2014-04-27 21:36

Code reviewed and verified in pi changeset dfa6251edace.
(0066862)
guillermogil (developer)
2014-05-07 09:55

Pending to have a test module in CI to create the test case.

Example Needed:
* In Sales Order window create a new tab (level 1)
* Table: AD_User
* HQL Where Clause: e.businessPartner.id=@Order.businessPartner@
* Create fields for this new tab
* Go to the Sales Order window and select a record
(0066973)
hudsonbot (developer)
2014-05-07 18:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-04-24 10:21 jecharri New Issue
2014-04-24 10:21 jecharri Assigned To => AugustoMauch
2014-04-24 10:21 jecharri Web browser => Google Chrome
2014-04-24 10:21 jecharri Modules => Core
2014-04-24 10:21 jecharri Triggers an Emergency Pack => No
2014-04-24 10:23 jecharri Issue cloned 0026357
2014-04-24 12:27 guillermogil Assigned To AugustoMauch => guillermogil
2014-04-24 18:05 guillermogil Issue Monitored: shankarb
2014-04-24 18:05 guillermogil Review Assigned To => shankarb
2014-04-24 18:05 guillermogil Web browser Google Chrome => Google Chrome
2014-04-25 09:57 hgbot Checkin
2014-04-25 09:57 hgbot Note Added: 0066599
2014-04-25 09:57 hgbot Status new => resolved
2014-04-25 09:57 hgbot Resolution open => fixed
2014-04-25 09:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/435ecd82320911d5349beabc75751352250c26ad [^]
2014-04-27 21:36 shankarb Note Added: 0066633
2014-04-27 21:36 shankarb Status resolved => closed
2014-04-27 21:36 shankarb Fixed in Version => PR14Q3
2014-05-06 10:12 jecharri Status closed => new
2014-05-06 10:12 jecharri Resolution fixed => open
2014-05-06 10:12 jecharri Fixed in Version PR14Q3 =>
2014-05-06 10:12 jecharri Web browser Google Chrome => Google Chrome
2014-05-06 10:12 jecharri Regression level => Production - Confirmed Stable
2014-05-06 10:12 jecharri Triggers an Emergency Pack No => Yes
2014-05-06 10:12 jecharri Status new => scheduled
2014-05-06 10:12 jecharri fix_in_branch => pi
2014-05-06 10:12 jecharri Status scheduled => resolved
2014-05-06 10:12 jecharri Resolution open => fixed
2014-05-06 10:12 jecharri Status resolved => closed
2014-05-06 16:42 guillermogil Triggers an Emergency Pack Yes => No
2014-05-06 16:44 guillermogil Regression level Production - Confirmed Stable => Coding ( Testing )
2014-05-07 09:50 guillermogil Regression introduced by commit => https://code.openbravo.com/erp/mods/org.openbravo.userinterface.smartclient.dev/rev/8bbcbf0d6871 [^]
2014-05-07 09:51 guillermogil Regression date => 2014-02-26
2014-05-07 09:52 guillermogil Regression introduced by commit https://code.openbravo.com/erp/mods/org.openbravo.userinterface.smartclient.dev/rev/8bbcbf0d6871 [^] => https://code.openbravo.com/erp/devel/pi/rev/20eb3426d990 [^]
2014-05-07 09:53 guillermogil Status closed => new
2014-05-07 09:53 guillermogil Resolution fixed => open
2014-05-07 09:53 guillermogil Relationship added related to 0025574
2014-05-07 09:54 guillermogil Status new => scheduled
2014-05-07 09:55 guillermogil Note Added: 0066862
2014-05-07 09:55 guillermogil Status scheduled => resolved
2014-05-07 09:55 guillermogil Resolution open => fixed
2014-05-07 09:56 guillermogil Status resolved => closed
2014-05-07 18:12 hudsonbot Checkin
2014-05-07 18:12 hudsonbot Note Added: 0066973
2014-10-01 16:31 plujan Web browser Google Chrome => Google Chrome
2014-10-01 16:31 plujan Regression level Coding ( Testing ) => Packaging and release
2014-10-01 16:31 plujan Regression introduced in release => main
2014-10-01 16:31 plujan fix_in_branch pi =>


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker